/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package jfxsprites;

import java.util.*;

/**
 *
 * @author hussmann
 */
public class SpriteManager {
    
    private double sceneWidth;
    private double sceneHeight;
    private List<Sprite> sprite_list;
    
    public SpriteManager(double scW, double scH) {
        this.sceneWidth = scW;
        this.sceneHeight = scH;
        sprite_list = new ArrayList<Sprite>();
    }
    
    public void addSprite(Sprite s) {
        sprite_list.add(s);
        s.setMaxX(sceneWidth);
        s.setMaxY(sceneHeight);
    }
    
    public void updateSprites() {
        for (Sprite s: sprite_list) {
            s.update();
        }
        for (Sprite s1: sprite_list) {
            for (Sprite s2: sprite_list) {
                if (s1 != s2) {
                    s1.handleCollision(s2);
                }
            }
        }
   
    }
}
